This module adds, to core Polls, a principal akin to that implemented by the 
Pressflow *cookie_cache_bypass* module to core *Polls*. The reason to do this is 
threefold:

- cookie_cache_bypass does not work from forms that put submit functions in form 
  elements (e.g. submit buttons), which the Poll module does; 
- it gives us the opportunity to put a much longer cookie lifetime for polls;
- it allows us to recheck the cookie when the poll module determines it should 
  show the results to the current user becasue they have already voted. This way, 
  we can prevent the results from endinf up in the page cache even if the cookie 
  was not sent from the client.

This module sets a cookie with the name **NO_CACHE_POLLS** when submitting a poll 
voting or cancel form. Your reverse proxy configuration will likely need to be 
ammended to allow not just NO_CACHE cookies, but any cookie with a name starting
with "NO_CACHE". E.g. for Varnish:

Change 
    
    set req.http.Cookie = regsuball(req.http.Cookie, ";(NO_CACHE|SESS[^=]+)=", "; \1=");
    
to
    
    set req.http.Cookie = regsuball(req.http.Cookie, ";(NO_CACHE[^=]*|SESS[^=]+)=", "; \1=");
    
Contrary to the Drupal 6 version of this module, you do not need to take special 
care for pages showing poll results, unless they do not use the core poll 
module's logic (which is almost certainly not the case, unless you or the modules 
you use do strange things).